function complexVal = OscDecay(d2,LJ)
% oscillatory decay function to capture thickness (d2) dependence of
% transverse mixing conductance; 
% based on Eq. 8a in Kyuoung-Whan Kim, Phys Rev B 99, 225515 (2019)
%
% inputs: d2 = FM spin sink thickness (nm); LJ = spin dephasing length (nm)

x = pi*d2./LJ;
complexVal = sin(x)./x + 1i*(sin(x)./x.^2 - cos(x)./x);

end

